/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

// definition of interface for sorting routine
package agent.mass;

public class DoubleCompare implements agent.mass.Compare {
  public boolean lessThan(Object l, Object r) {
    return (((Double)l).doubleValue() < ((Double)r).doubleValue());
  }
  public boolean lessThanOrEqual(Object l, Object r) {
    return (((Double)l).doubleValue() <= ((Double)r).doubleValue());
  }
}
