/* Copyright (C) 2005, University of Massachusetts, Multi-Agent Systems Lab
 * See LICENSE for license information
 */

/***************************************************************************************
 * StatePointer.java
 ***************************************************************************************/

package agent.simplest;

/**
 * Little class that lets allows double reference manipulation (so you can
 * modify the reference itself, not just the object it points to).
 */
public class StatePointer {
  public Object key;
  public Object ptr;

  public StatePointer(Object k, Object o) {
    key = k;
    ptr = o;
  }
}
